%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		labyrinth
Version:	0.6
Release:	%mkrel 11
Summary:	A simple yet powerful mind-mapping tool for the GNOME desktop
Group:		Office/Utilities
License:	GPLv2+
URL:		https://github.com/labyrinth-team/labyrinth
Source0:	https://github.com/labyrinth-team/labyrinth/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	gnome-python-gconf
Requires:	pygtk2.0-libglade >= 2.8
Requires:	python-numpy
Requires:	python-cairo
Requires:	python-gobject
Requires:	python-pyxdg

## Taken from the website's "About" page, as well as Wikipedia's explanation
## of a mind-map.
%description
Labyrinth is a lightweight mind-mapping tool, intended to be as light and
intuitive as possible, but still provide a wide range of powerful features.

A mind-map is a diagram used to represent words, ideas, tasks or other items
linked to and arranged radially around a central key word or idea. It is used
to generate, visualize, structure and classify ideas, and as an aid in study,
organization, problem solving, and decision making.

%prep
%setup -q

# Remove windows files
rm -rf Windows

# Correct non executable script rpmlint error
sed -i -e '1 d' %{name}_lib/MMapArea.py %{name}_lib/TextThought.py

%build
python setup.py build

#translations
%make -C po

%install
python setup.py install \
	--skip-build \
	--root=%{buildroot}

#translations
%makeinstall_std -C po localedir=%{buildroot}/%{_datadir}/locale

# desktop file
desktop-file-install --vendor ""	\
	--dir %{buildroot}%{_datadir}/applications	\
	--remove-category=Application	\
		data/%{name}.desktop

# icons
install -Dpm644 data/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
for i in 16 22 24; do
	install -Dpm644 data/%{name}-$i.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README*
%{python_sitelib}/%{name}_lib/
%{python_sitelib}/Labyrinth-%{version}-py%{python2_version}.egg-info
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.6-11.mga6
+ Revision: 971814
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 wally <wally> 0.6-10.mga6
+ Revision: 893029
- use proper python2 macros
- switch URL to point to Github

* Wed Oct 15 2014 umeabot <umeabot> 0.6-9.mga5
+ Revision: 747940
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6-8.mga5
+ Revision: 726687
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6-7.mga5
+ Revision: 681263
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.6-6.mga5
+ Revision: 628284
- Rebuild for new Python

* Sat Apr 05 2014 wally <wally> 0.6-5.mga5
+ Revision: 612160
- add missing requires for gnome-python-gconf and python-pyxdg (mga#13152)

* Tue Oct 22 2013 umeabot <umeabot> 0.6-4.mga4
+ Revision: 542640
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.6-3.mga4
+ Revision: 497865
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 18 2013 wally <wally> 0.6-2.mga4
+ Revision: 455916
- drop requires on python-pyxml

* Thu Jul 18 2013 wally <wally> 0.6-1.mga4
+ Revision: 455877
- new version 0.6
- update URL and Source0 tags
- clean .spec (partially from Fedora)

* Thu Jan 24 2013 fwang <fwang> 0.4.0-3.mga3
+ Revision: 391984
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 14 2012 ovitters <ovitters> 0.4.0-2.mga2
+ Revision: 208889
- clean spec

* Sat Apr 30 2011 wally <wally> 0.4.0-2.mga1
+ Revision: 93591
- add patch to replace obsoleted Numeric with numpy
- fix requires

* Fri Apr 29 2011 wally <wally> 0.4.0-1.mga1
+ Revision: 93398
- imported package labyrinth

